# Gst::FdSink Class Reference
[gstreamermm Plugins]

Gst::FdSink - fdsink plugin. More...

`#include <fdsink.h>`

Inheritance diagram for Gst::FdSink:

List of all members.

## Public Member Functions

virtual | ~FdSink ()
GstFdSink* | gobj ()
| Provides access to the underlying C GObject.
const GstFdSink* | gobj () const
| Provides access to the underlying C GObject.
GstFdSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy<int> | property_fd ()
| An open file descriptor to write to.
Glib::PropertyProxy_ReadOnly<int> | property_fd () const
| An open file descriptor to write to.

## Static Public Member Functions

static Glib::RefPtr<FdSink> | create ()
| Creates a new fdsink plugin with a unique name.
static Glib::RefPtr<FdSink> | create (const Glib::ustring& name)
| Creates a new fdsink plugin with the given name.

## Protected Member Functions

| FdSink ()
| FdSink (const Glib::ustring& name)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gst::FdSink> | wrap (GstFdSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::FdSink - fdsink plugin.

Please include <gstreamermm/fdsink.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::FdSink::~FdSink | ( |  | ) | `[virtual]`

Gst::FdSink::FdSink | ( |  | ) | `[protected]`

Gst::FdSink::FdSink | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstFdSink* Gst::FdSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

const GstFdSink* Gst::FdSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseSink.

GstFdSink* Gst::FdSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseSink.

static Glib::RefPtr<FdSink> Gst::FdSink::create | ( |  | ) | `[static]`

Creates a new fdsink plugin with a unique name.

static Glib::RefPtr<FdSink> Gst::FdSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new fdsink plugin with the given name.

Glib::PropertyProxy<int> Gst::FdSink::property_fd | ( |  | ) |

An open file descriptor to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::FdSink::property_fd | ( |  | ) | const

An open file descriptor to write to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::FdSink> wrap | ( | GstFdSink * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- fdsink.h